# gdcm::PersonName Class Reference

PersonName class. More...

`#include <gdcmPersonName.h>`

List of all members.

## Public Member Functions
unsigned int | GetMaxLength () const
unsigned int | GetNumberOfComponents () const
void | Print (std::ostream &os) const
void | SetBlob (const std::vector< char > &v)
void | SetComponents (const char *components[])
void | SetComponents (const char *comp1="", const char *comp2="", const char *comp3="", const char *comp4="", const char *comp5="")
## Public Attributes
char | Component [MaxNumberOfComponents][MaxLength+1]
## Static Public Attributes
static const unsigned int | MaxLength = 64
static const unsigned int | MaxNumberOfComponents = 5
static const char | Padding = ' '
static const char | Separator = '^'

## Detailed Description

PersonName class.

## Member Function Documentation

unsigned int gdcm::PersonName::GetMaxLength | ( |  | ) | const`[inline]`

unsigned int gdcm::PersonName::GetNumberOfComponents | ( |  | ) | const`[inline]`

void gdcm::PersonName::Print | ( | std::ostream & | os | ) | const`[inline]`

void gdcm::PersonName::SetBlob | ( | const std::vector< char > & | v | ) | `[inline]`

void gdcm::PersonName::SetComponents | ( | const char * | components[] | ) | `[inline]`

void gdcm::PersonName::SetComponents | ( | const char * | comp1 = `""`,
|  | const char * | comp2 = `""`,
|  | const char * | comp3 = `""`,
|  | const char * | comp4 = `""`,
|  | const char * | comp5 = `""` |
| ) |  |  | `[inline]`

## Member Data Documentation

char gdcm::PersonName::Component[MaxNumberOfComponents][MaxLength+1]

const unsigned int gdcm::PersonName::MaxLength = 64`[static]`

const unsigned int gdcm::PersonName::MaxNumberOfComponents = 5`[static]`

const char gdcm::PersonName::Padding = ' '`[static]`

const char gdcm::PersonName::Separator = '^'`[static]`

The documentation for this class was generated from the following file:

- gdcmPersonName.h